package de.dhbwstuttgart.target.tree.expression;

import de.dhbwstuttgart.syntaxtree.statement.Expression;
import de.dhbwstuttgart.target.tree.type.TargetType;

public record TargetInstanceOf(TargetExpression left, TargetExpression right) implements TargetExpression {

    @Override
    public TargetType type() {
        return TargetType.Boolean;
    }
}
